Package org.apache.felix.http.base.internal.runtime.dto

# Class ListenerDTOBuilder

java.lang.Object
org.apache.felix.http.base.internal.runtime.dto.ListenerDTOBuilder

public final class ListenerDTOBuilder extends Object

## Constructor Summary

Constructors
Constructor
Description
`ListenerDTOBuilder()`

## Method Summary

Modifier and Type
Method
Description
`static org.osgi.service.servlet.runtime.dto.ListenerDTO`
`build(ListenerHandler handler, int reason)`
`static org.osgi.service.servlet.runtime.dto.ListenerDTO`
`build(ListenerInfo info, int reason)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ListenerDTOBuilder

public ListenerDTOBuilder()

## Method Details

### build

public static org.osgi.service.servlet.runtime.dto.ListenerDTO build(ListenerInfo info, int reason)

### build

public static org.osgi.service.servlet.runtime.dto.ListenerDTO build(ListenerHandler handler, int reason)